From 13d70019c6d0e94b1ab71d0d2cf80023cc793071 Mon Sep 17 00:00:00 2001
From: Sebastian Ramacher <sramacher@debian.org>
Date: Sat, 18 Feb 2017 01:13:03 +0100
Subject: [PATCH] Add a pkg-config file (fixes #61)

Signed-off-by: Sebastian Ramacher <sramacher@debian.org>
---
 ebur128/CMakeLists.txt      |  6 ++++++
 ebur128/libebur128.pc.cmake | 11 +++++++++++
 2 files changed, 17 insertions(+)
 create mode 100644 ebur128/libebur128.pc.cmake

diff --git a/ebur128/CMakeLists.txt b/ebur128/CMakeLists.txt
index af09ebb..f9a8017 100644
--- a/ebur128/CMakeLists.txt
+++ b/ebur128/CMakeLists.txt
@@ -59,3 +59,9 @@ if(BUILD_STATIC_LIBS)
 else()
   install(TARGETS ebur128 DESTINATION ${CMAKE_INSTALL_LIBDIR})
 endif()
+
+#### pkg-config
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libebur128.pc.cmake
+               ${CMAKE_CURRENT_BINARY_DIR}/libebur128.pc @ONLY)
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/libebur128.pc"
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
diff --git a/ebur128/libebur128.pc.cmake b/ebur128/libebur128.pc.cmake
new file mode 100644
index 0000000..017fdeb
--- /dev/null
+++ b/ebur128/libebur128.pc.cmake
@@ -0,0 +1,11 @@
+prefix=@CMAKE_INSTALL_PREFIX@
+includedir=${prefix}/include
+libdir=${prefix}/@CMAKE_INSTALL_LIBDIR@
+
+Name: libebur128
+Description: EBU R 128 standard for loudness normalisation
+Version: @EBUR128_VERSION@
+URL: https://github.com/jiixyj/libebur128
+Libs: -L${libdir} -lebur128
+Libs.private: -lm
+Cflags: -I${includedir}
